curl --request GET \
--url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/tax-details \
--header 'Authorization: Bearer <token>'{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"taxId": "<string>",
"taxClass": "1",
"employmentCountry": "DE",
"childAllowances": "0.0",
"churchConfession": "AK",
"churchConfessionPartner": "AK",
"factorProcedure": false,
"factor": 123,
"taxAllowanceAmount": "0.00",
"additionalTaxableAmount": "0.00",
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"churchMember": false,
"churchTaxState": "Baden-Württemberg"
}Get current tax details for an employee.
curl --request GET \
--url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/tax-details \
--header 'Authorization: Bearer <token>'{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"taxId": "<string>",
"taxClass": "1",
"employmentCountry": "DE",
"childAllowances": "0.0",
"churchConfession": "AK",
"churchConfessionPartner": "AK",
"factorProcedure": false,
"factor": 123,
"taxAllowanceAmount": "0.00",
"additionalTaxableAmount": "0.00",
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"churchMember": false,
"churchTaxState": "Baden-Württemberg"
}Get token from Auth0 and paste it here
Successful Response
Response model for tax details with metadata fields.
11Steuerklasse (STKL)
1, 2, 3, 4, 5, 6 "DE"^(?!^[-+.]*$)[+-]?0*(?:\d{0,1}|(?=[\d.]{1,3}0*$)\d{0,1}\.\d{0,1}0*$)German church tax confessions as defined in ELSTAM API
AK, EV, FA, FB, FG, FM, FR, FS, IB, IH, IL, IS, IW, JD, JH, LT, RF, RK, NA, KEINE Konfession des Partners - ELSTAM: kirchensteuer_partner
AK, EV, FA, FB, FG, FM, FR, FS, IB, IH, IL, IS, IW, JD, JH, LT, RF, RK, NA, KEINE ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Gültig ab Datum - ELSTAM: gueltig_ab
EN: Valid to date | DE: Gültig bis Datum
German states (Bundesländer) with their official names
Baden-Württemberg, Bayern, Berlin, Brandenburg, Bremen, Hamburg, Hessen, Mecklenburg-Vorpommern, Niedersachsen, Nordrhein-Westfalen, Rheinland-Pfalz, Saarland, Sachsen, Sachsen-Anhalt, Schleswig-Holstein, Thüringen Was this page helpful?